/*
 * Class TO_SPECIAL [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1580 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1580 [] = {0xFF01,1551,1579,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1580 [] = {0xFF01,1579,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1580 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1580 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1580 [] = {0xFF01,1579,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1580 [] = {0xFF01,1579,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1580 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1580 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1580 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1580 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1580 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1580 [] = {1579,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1580 [] = {0xFF01,1579,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1580 [] = {0xFF01,1547,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1580 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1580 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1580 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1580[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1580), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1580), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1580), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1580), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1580), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1580), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1580), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1580), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1580), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1580), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1580), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1580), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1580), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1580), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1580), 10415, 0},
	{EIF_GENERIC(NULL), 10408, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10409, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1580), 10410, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1580), 10411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10412, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10413, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10414, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1580), -1, 0xFFFFFFFF},
};
void Init1580(void)
{
	IDSC(desc_1580, 0, 1579);
	IDSC(desc_1580 + 1, 1, 1579);
	IDSC(desc_1580 + 32, 1422, 1579);
}


#ifdef __cplusplus
}
#endif
